from django.db import models


class Submission(models.Model):
    id = models.AutoField(primary_key=True)
    reddit_id = models.CharField(max_length=255, unique=True)
    title = models.CharField(max_length=255)
    name = models.CharField(max_length=255)
    url = models.CharField(max_length=255)
    created_utc = models.FloatField()
    selftext = models.CharField(max_length=1234, blank=True)
    permalink = models.CharField(max_length=255)
    upvote_ratio = models.FloatField()
    updated_at = models.DateTimeField(auto_now=True)


class SubmissionAnalytics(models.Model):
    id = models.AutoField(primary_key=True)
    submission = models.ForeignKey(Submission, on_delete=models.CASCADE)
    num_comments = models.IntegerField()
    score = models.IntegerField()
    created_at = models.DateTimeField(auto_now=True)